#
# spec file for package onscripter
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           onscripter
Version:	20130317
Release:	2.3
License:	GPL-2.0
Summary:	Visual novel games engine compatible to NScripter
Url:	http://onscripter.sourceforge.jp/onscripter.html
Group:	Amusements/Games/Other
Source:	%{name}-%{version}.tar.gz
Patch:	onscripter-en.patch
Patch1:	onscripter-avifile-47.patch
Patch2:	onscripter-lua.patch
BuildRequires:	fontconfig-devel
BuildRequires:  gcc-c++
BuildRequires:	libavifile-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	lua-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_ttf-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libbz2-devel
BuildRequires:	docbook2x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ONScripter is a game engine compatible to NScripter, which is used 
to create and perform visual novel games.

This package provides patched English version only.

%prep
%setup -q
%patch -p1
%patch1 -p1
%if 0%{?suse_version} >= 1220
%patch2 -p1
%endif
%if 0%{?suse_version} <= 1140
sed -i "s/5.1//" Makefile.Linux
%endif

%build
make -f Makefile.Linux

%install
mkdir -p %{buildroot}%{_bindir}
#mkdir -p %{buildroot}%{_mandir}/man6/
install -m 0755 nsaconv %{buildroot}%{_bindir}
install -m 0755 nsadec %{buildroot}%{_bindir}
install -m 0755 onscripter %{buildroot}%{_bindir}
install -m 0755 sarconv %{buildroot}%{_bindir}
install -m 0755 sardec %{buildroot}%{_bindir}
install -m 0755 simple_aviplay %{buildroot}%{_bindir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING www/ogapee.css www/onscripter.html
%{_bindir}/*

%changelog
* Fri May 24 2013 i@margueirte.su
- initial version 20130317
  * patch the english patch
  * patch for avifile stuff
  * patch for lua52
